.calc {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgb(58, 146, 90);
    height: 99vh;
}

.main {
    background-color: rgb(212, 21, 21);
    color: aliceblue;
    border-radius: 20px;
    font-size: 25px;
    width: 35%;
    padding: 20px; 
    box-sizing: border-box; 
}

.main form {
    display: flex;
    flex-wrap: wrap; 
    justify-content: center;
}

.main form input {
    border: 0;
    background-color: rgb(20, 18, 15);
    color: aliceblue;
    width: 90px;
    border: 2px solid white;
    border-radius: 34px;
    font-size: 30px;
    padding: 20px;
    margin: 10px;
    cursor: pointer; 
    transition: background-color 0.3s;
}

.main form input:hover {
    background-color: #333;
}

#display {
    display: flex;
    justify-content: flex-end; 
    align-items: center; 
    width: 95%; 
    height: 60px;
    margin: 0 auto 20px auto; 
    background-color: rgb(20, 18, 15);
    border-radius: 10px;
    padding: 10px;
    font-size: 35px;
    overflow: hidden; 
    text-align: right; 
    box-sizing: border-box;
}

h1 {
    text-align: center;
    margin-bottom: 20px; 
}

#equal {
   
    padding: 20px;
    width: 160px; 
    font-size: 35px;
}


@media (max-width: 1024px) {
    .main {
        width: 60%;
        font-size: 22px;
    }

    .main form input {
        width: 80px;
        font-size: 25px;
        padding: 15px;
        margin: 8px;
    }

    #equal {
        width: 140px;
        font-size: 30px;
    }
}



@media (max-width: 768px) {
    .main {
        width: 80%;
        font-size: 20px;
    }

    .main form input {
        width: 70px;
        font-size: 22px;
        padding: 15px;
        margin: 5px;
    }

    #equal {
        width: 120px;
        font-size: 28px;
    }

    #display {
        font-size: 30px;
    }
}



@media (max-width: 480px) {
    .main {
        width: 95%;
        height: auto; 
        padding: 15px;
    }

    h1 {
        font-size: 28px;
    }

    .main form input {
        width: 60px;
        font-size: 20px;
        padding: 12px;
        margin: 5px;
        border-radius: 20px;
    }

    #display {
        width: 100%;
        font-size: 28px;
        height: 50px;
    }

    #equal {
        width: 100px; 
        padding: 15px;
        font-size: 24px;
    }
}
